/* <TRANS_COMMAND>
alter table LayerFieldTypes
add RecommendField varchar2(50);

commit work;

*/
-- <TRANS_IGNORE>

DECLARE 
  v_exists integer;
BEGIN
  SELECT count(*) 
    INTO v_exists
    FROM USER_TAB_COLUMNS 
    WHERE TABLE_NAME='LAYERFIELDTYPES' AND COLUMN_NAME='RECOMMENDFIELD';
  IF (v_exists=0) THEN
    EXECUTE IMMEDIATE 'ALTER TABLE LayerFieldTypes
      ADD RecommendField varchar2(50)';
    EXECUTE IMMEDIATE 'COMMIT WORK';
  END IF;
END;

update LayerFieldTypes
  set RecommendField = 'DIRECTIONCLS'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'FACT'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'FINTYPE'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'INVESTOBJECT'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'KCSR'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'KESR'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'KFSR'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'KVR'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'KVSR'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'MEANSTYPE'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'OKPD'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'SUBSIDYCLS'
where Alias = '..';

update LayerFieldTypes
  set RecommendField = 'TRANSFERTCLS'
where Alias = '..';

commit work;